/*------------------------------------*\
	RESET
\*------------------------------------*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/*------------------------------------*\
    MAIN
\*------------------------------------*/

/* global box-sizing */
*,
*:after,
*:before {
	-webkit-box-sizing:border-box;
	        box-sizing:border-box;
	-webkit-font-smoothing:antialiased;
	font-smoothing:antialiased;
	text-rendering:optimizeLegibility;
}
/* html element 62.5% font-size for REM use */
html {
	/* font-size:62.5%; */
	font-size: 11pt;
}
body {
	font-family: 'Raleway', sans-serif;
	color:#444;
	line-height: 1.6em;
	font-weight: lighter;
}
/* clear */
.clear:before,
.clear:after {
    content:' ';
    display:table;
}

.clear:after {
    clear:both;
}
.clear {
    *zoom:1;
}
img {
	max-width:100%;
	vertical-align:bottom;
}
a {
	color:#626366;
	text-decoration:none;
}
a:hover {
	color:#444;
}
a:focus {
	outline:0;
}
a:hover,
a:active {
	outline:0;
}
b, strong {
	font-weight: bold;
}
h1 {
	margin-top:1em;
	margin-bottom: 1em;
	font-size: 5em;
	text-align: center;
	letter-spacing:.1em;
	color:#fff;
	text-transform: uppercase;
	text-shadow: 2px 2px 3px rgba(0,0,0,0.75);
	line-height:1.2em;
}
h2 {
	margin-bottom: 1rem;
	font-size: 1.3em;
}
i {
	font-style: italic;
}
p {
	margin-bottom: 1em;
}
q {
  quotes: "“" "”" "‘" "’";
}
q:before {
    content: open-quote;
}
q:after {
    content: close-quote;
}
small {
	font-size: 0.8em; 
}
input:focus {
	outline:0;
	border:1px solid #04A4CC;
}

/*------------------------------------*\
    STRUCTURE
\*------------------------------------*/
html, body {
	height:100%;
}
.wrapper {
	display: flex;
	flex-direction: column;
	min-height:100%;
}
main {
	flex:1 0 auto;
	background-size:cover;
	background-repeat: no-repeat;
	background-position: center;
}
.footer {
	flex-shrink:0;
	position: relative;
}

/* wrapper */
.wrapper {
	width:100%;
	margin:0 auto;
	position:relative;
}
.inner {
	width: 80%;
	margin: 0 auto;
}
.inner-narrow {
	width: 40%;
	margin: 0 auto;
}
.tint {
	background: rgba(255,255,255,0.8);
}

.pad-2em {
	padding:2em;
}
#top-bar, .footer {
	height:0.5em;
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: 1fr 1fr;
	    grid-template-columns: 1fr 1fr;
	grid-gap: 1px;
}
#top-bar {
	-ms-grid-rows: 15px;
	    grid-template-rows: 15px;
}
#top-bar div:nth-child(1), .footer div:nth-child(1) {
	background-color: #6D6E71;
	-ms-grid-column:1;
}
#top-bar div:nth-child(2), .footer div:nth-child(2) {
	background-color: #8A8EBE;
	-ms-grid-column:2;
}
.footer a {
	color:#fff;
}

.footer div:nth-child(2) {
	/*display:block;*/
	position: relative;
}
#footer-nav a {
	margin: 0px 5px;
}

/* header */
.header {
	margin: 1em 0px;
}
.header .inner {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: 1fr 200px 1fr;
	    grid-template-columns: 1fr 200px 1fr;
	padding: 1em;
	grid-gap: 15px;
	text-transform: uppercase;
}

#header-left {
	-ms-grid-column:1;
	-ms-grid-column-align:left;
}
.header .inner .logo {
	/*-ms-grid-column:1;*/
}
.header .inner .nav {
	-ms-grid-column:3;
	-ms-grid-column-align:right;
}
#header-left, .nav {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
	color: #6d6e71;
}
#header-left svg {
	width: 40px;
}
#header-left svg * {
	fill: #C7CCE2;
	-webkit-transition: 0.3s all;
	transition: 0.3s all;
}
#header-left svg:hover * {
	fill: #9695C3;
}

#header-left a {
	/*font-size: 0.8rem;*/
	text-transform: uppercase;
	color: #6d6e71;
	margin: 0px 5px;
}

.footer > div {
	padding: 2em;
	color: #fff;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
	font-size: 0.8em;
}
.footer-fca-link {
	text-decoration: underline;
}


#design-credit {
	position: absolute;
	bottom: 15px;
	right: 15px;
}


/* logo */
.logo {
/*-ms-grid-column:2;*/
}
.logo-img {

}
/* nav */
.nav .menu {
	width: 100%;
}
.nav ul {
	width: 100%;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: space-evenly;
	    -ms-flex-pack: space-evenly;
	        justify-content: space-evenly;
}
.nav ul li {
	padding:0 5px;
}
.nav .current-menu-item a {
	color: #706F6F;
	font-weight: normal;
}
#tagline-title {
	background-color: #D5EDFB;
	color:#fff;
	text-transform: uppercase;
	margin-bottom:1rem;
	font-size:2em;
	min-height: 1.5em;
	position:relative;
	font-weight:lighter;
}

.button {
	border:1px solid #6D6E71;
	padding:1em;
	text-transform: uppercase;
	transition:0.6s all;
}

/* Homepage */

#homepage-hero-text {
	margin-top:100px;
}

.login-button {
	margin:65px auto;
	display:block;
	width:230px;
	text-align:center;
}

.login-button:hover {
	box-shadow: inset 300px 0px 0px #6D6E71;
	color:#fff;
}

#loginform {
	width:30%;
	margin:0 auto;
}

#loginform input, #loginform input[type="submit"] {
	width:100%;
	min-height:2em;
	line-height:2em;
	padding:.8em;
	margin-bottom:1em;
	border:1px solid #ccc;
	background-color:rgba(255,255,255,0.8);
}
 #loginform input[type="submit"] {
 	text-transform: uppercase;
	cursor:pointer;
	transition: 0.6s all;
 }
#loginform input[type="submit"]:hover {
	box-shadow: inset 800px 0px 0px #6D6E71;
	color:#fff;
}
#loginform input::placeholder {
	text-transform: uppercase;
}

#uploadFile {
	background: #8B89BC;
	height:100vh;
	width:100%;
}


#dashboard-panel {
	display:grid;
	grid-template-columns: repeat(4, 1fr);
	grid-gap:1em;
	width:80%;
	margin:0 auto;
	/*justify-content: space-around;*/
}

#dashboard-panel > div {
	background-color:rgba(255,255,255,0.8);
	padding:2em 3em;
	text-align:center;
	text-transform: uppercase;
	display:flex;
	flex-direction: column;
	justify-content: space-between;
	height:175px;
}

#dashboard-panel > div p {
	font-weight:bold;
	margin-bottom:0;
}


#documents-listing-wrapper {
	width:80%;
	display:block;
	margin:2em auto;
	display:grid;
	grid-gap:1em;
	grid-template-columns: repeat(4, 1fr);
}

#documents-listing-wrapper > div {
	min-width:0;
	word-break:break-all;
	background-color:rgba(255,255,255,0.8);
	display:flex;
	flex-direction: column;
	justify-content: space-between;
}

.documents-listing-filename {
	padding:1em;
	font-size:1.3em;
	margin-bottom:1em;
	display: block;
}

.documents-listing-meta {
	display:flex;
	justify-content: space-between;
	border-top:1px solid #ccc;
	font-size:1.5em;
}
.documents-listing-meta > * {
	text-align:center;
	padding:1rem;
	width:100%;
}
.documents-listing-meta > *:nth-of-type(2) {
	border-left:1px solid #ccc;
	border-right:1px solid #ccc;
}

.deletefile {
	display:block;
	color:red;
}

@media screen and (max-width:1024px) {
	#documents-listing-wrapper {
		grid-template-columns: 1fr 1fr 1fr;
	}
}
@media screen and (max-width:768px) {
	.wrapper {
		height:auto;
	}
	h1 {
		font-size:2em;
	}
	.inner-narrow {
		width:auto;
	}
	.header .inner {
		display:block;
	}
	#header-left {
		display: none;
	}
	.logo {
		text-align:center;
	}
	.logo img {
		max-height:100px;
	}
	.nav {
		margin-top:2em;
	}
	#loginform {
		width:60%;
	}
	#dashboard-panel, .stack-mobile {
		width:80%;
		display: block;
	}
	#documents-listing-wrapper > .stack-mobile {
		width:100%;
	}
	.dashboard-item {
		margin-bottom:2em;
	}
	#documents-listing-wrapper {
		grid-template-columns: 1fr 1fr;
	}
	.footer {
		width:100%;
		height:auto;
	}
	.footer .stack-mobile {
		width:100%;
	}
}
@media screen and (max-width:640px) {
	#documents-listing-wrapper {
		grid-template-columns: 1fr;
	}
}